### Virtual Method

# Gio File make_symbolic_link_async

since: 2.74

#### Declaration

    void
    make_symbolic_link_async (
      GFile* file,
      const char* symlink_value,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously creates a symbolic link named `file` which contains the string `symlink_value`.

Available since: 2.74

#### Parameters

`symlink_value`

  Type: `const char*`

  A string with the path for the target of the new symlink.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.